Bug 7435 - SMB2 hardlink fails (invalid level)
SMB2 hardlink fails (invalid level)
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: SMB2
unspecified
All Linux
: P3 normal
: ---
Assigned To: Jeremy Allison
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-18 18:16 UTC by Steve French
Modified: 2010-06-14 12:15 UTC (History)
1 user (show)

See Also:


Attachments
trace of failure of hardlink to current samba from Linux smb2 kernel client (1.23 KB, application/octet-stream)
2010-05-18 18:17 UTC, Steve French
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steve French 2010-05-18 18:16:57 UTC
Server does not recognize SMB2 setinfo level 0x0B (hardlink) STATUS_INVALID_INFO_CLASS (see attached trace)
Comment 1 Steve French 2010-05-18 18:17:57 UTC
Created attachment 5718 [details]
trace of failure of hardlink to current samba from Linux smb2 kernel client
Comment 2 Karolin Seeger 2010-06-11 04:23:15 UTC
Change components
Comment 3 Jeremy Allison 2010-06-14 12:15:06 UTC
Fixed with master commit 572e5dec1bbd4af3ccc4b8bfe56a72ded4c9aa6e. Will be fixed in 3.6.0.
Jeremy.